// This is a 1.12 class.

#ifndef __CCOMBOBOX_HPP_
#define __CCOMBOBOX_HPP_

#include <phcpp/compound.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtComboBox.h>

class CComboBox : public CCompound
{
	public:
		CComboBox() {  pwgt = NULL; pulClassRef = NULL;};
		CComboBox(PtWidget_t * pobjParent, UINT uiNumArgs, _CONST PtArg_t * pArgs);

		inline int ListOpen()
		{  return(PtComboBoxListOpen(pwgt));
		}

		inline int ListClose()
		{  return(PtComboBoxListClose(pwgt));
		}

		inline BOOL AddItems(_CONST char ** ppcItems, int iItemCount, UINT uiPosition)
		{  return(PtListAddItems(pwgt, ppcItems, iItemCount, uiPosition));
		}

		inline BOOL DeleteAllItems()
		{  return(PtListDeleteAllItems(pwgt));
		}

		inline BOOL DeleteItems(_CONST char ** ppcItems, int iItemCount)
		{  return(PtListDeleteItems(pwgt, ppcItems, iItemCount));
		}

		inline BOOL DeleteItemPos(int iItemCount, int iPosition)
		{  return(PtListDeleteItemPos(pwgt, iItemCount, iPosition));
		}

		inline BOOL DeletePositions(_CONST int * piPosList, int iPosCount)
		{  return(PtListDeletePositions(pwgt, piPosList, iPosCount));
		}

		inline BOOL ItemExists(_CONST char * pcItem)
		{  return(PtListItemExists(pwgt, pcItem));
		}

		inline int ItemPos(_CONST char * pcItem)
		{  return(PtListItemPos(pwgt, pcItem));
		}

		inline BOOL ReplaceItemPos(_CONST char ** ppcNewItems, int iItemCount, int iPosition)
		{  return(PtListReplaceItemPos(pwgt, ppcNewItems, iItemCount, iPosition));
		}

		inline BOOL ReplaceItems(_CONST char ** ppcOldItems, _CONST char ** ppcNewItems, int iItemCount)
		{  return(PtListReplaceItems(pwgt, ppcOldItems, ppcNewItems, iItemCount));
		}

		inline int GetSelection(_CONST int * piStart, _CONST int * piEnd)
		{  return(PtTextGetSelection(pwgt, piStart, piEnd));
		}

		inline int ModifyText(int iStart, int iEnd, int iInsertPos, _CONST char * pcText, int iLength)
		{  return(PtTextModifyText(pwgt, iStart, iEnd, iInsertPos, pcText, iLength)); 
		}

		inline int SetSelection(_CONST int * piStart, _CONST int * piEnd)
		{  return(PtTextSetSelection(pwgt, piStart, piEnd));
		}
};
#endif
