#ifndef _CDBASE_HPP_
#define _CDBASE_HPP_

#include <Ap.h>
#include <Pt.h>
#include <phcpp/defs.hpp>

class CWgtDBase
{	private:
		ApDBase_t * ptsDBase;

  	public:
		CWgtDBase() 
		{  ptsDBase = NULL;
		};

		inline CWgtDBase(_CONST ApEventLink_t * ptsLinkCallback)
		{  if((ptsDBase = ApOpenDBase(ptsLinkCallback)) == NULL)
		     PhTrace("CWgtDBase :: OpenDBase() failed.\n");
		}

		inline CWgtDBase(_CONST char * pcPath)
		{  if((ptsDBase = ApOpenDBaseFile(pcPath)) == NULL)
		     PhTrace("CWgtDBase :: OpenDBaseFile() failed.\n");
		}

		inline virtual ~CWgtDBase()
		{  if(ptsDBase)
			 ApCloseDBase(ptsDBase);
		}

		inline BOOL Open(_CONST char * pcPath)
		{  if((ptsDBase = ApOpenDBaseFile(pcPath)) == NULL)
			 return(FALSE);
		   else
			 return(TRUE);	 
		}

		inline BOOL Open(_CONST ApEventLink_t * ptsLinkCallback)
		{  if((ptsDBase = ApOpenDBase(ptsLinkCallback)) == NULL)
		     return(FALSE);
		   else
			 return(TRUE);
		}

		inline BOOL Close()
		{  return(ApCloseDBase(ptsDBase));
		}

		inline BOOL CopyWidget(_CONST ApDBase_t * ptsFromDBase, _CONST char * pcFromName, _CONST char * pcToName)
		{  return(ApCopyWidget(ptsFromDBase, pcFromName, ptsDBase, pcToName));
		}

		inline PtWidget_t * CreateWidget(_CONST char * pcWgtName, int iX, int iY, int iNumArgs, _CONST PtArg_t * ptsArgs)
		{  return(ApCreateWidget(ptsDBase, pcWgtName, iX, iY, iNumArgs, ptsArgs));
		}

		inline PtWidget_t * CreateWidgetFamily(_CONST char * pcWgtName, int iX, int iY, int iNumArgs, _CONST PtArg_t * ptsArgs)
		{  return(ApCreateWidgetFamily(ptsDBase, pcWgtName, iX, iY, iNumArgs, ptsArgs));
		}

		inline BOOL DeleteWidget(_CONST char * pcWgtName)
		{  return(ApDeleteWidget(ptsDBase, pcWgtName));
		}

		inline _CONST ApBitmap_t * GetBitmapRes(_CONST char * pcWgtName)
		{  return(ApGetBitmapRes(ptsDBase, pcWgtName));
		}

		inline _CONST PhImage_t * GetImageRes(_CONST char * pcWgtName)
		{  return(ApGetImageRes(ptsDBase, pcWgtName));
		}

		inline _CONST char * GetTextRes(_CONST char * pcWgtName)
		{  return(ApGetTextRes(ptsDBase, pcWgtName));
		}

		inline BOOL SaveDBaseFile(_CONST char * pcPath)
		{  return(ApSaveDBaseFile(ptsDBase, pcPath));
		}
};
#endif
