#ifndef __CTERMINAL_HPP_
#define __CTERMINAL_HPP_

#include <phcpp/container.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtTerm.h>

class CTerminal : public CContainer
{
	public:
		CTerminal() {  pwgt = NULL; pulClassRef = NULL;};
		CTerminal(PtWidget_t * pobjParent, UINT uiNumArgs, _CONST PtArg_t * pArgs);

		inline GetKeys(int iProtocol, struct termios * ptsBuf)
		{  PtTerminalGetKeys(iProtocol, ptsBuf);
		}

		inline const char * Name(int iProtocol)
		{  return(PtTerminalName(iProtocol));
		}

		inline BOOL Put(const char * pkcBuffer, size_t uiChars)
		{  return(PtTerminalPut(pwgt, pkcBuffer, uiChars));
		}

		inline BOOL Putc(char c)
		{  return(PtTerminalPutc(pwgt, c));
		}

		inline BOOL Puts(const char * pksz)
		{  return(PtTerminalPuts(pwgt, pksz));
		}

		inline _CONST char * Font(const char * pkcFont, _CONST PhDim_t * ptsDim, _CONST PhPoint_t * ppntOffs)
		{  return(PtTerminalFont(pkcFont, ptsDim, ppntOffs));
		}
};
#endif
